declare @uid varchar(50)
declare @idFuncionalidadpadre int
declare @id_perfil as int
declare @idFuncionalidad int
select @uid=uid from seg_usuario where id=1
select @id_perfil=id from [seg_perfil] where perfil ='Administrador' 
--ORDEN COMPRA
select @idFuncionalidadpadre=id from [gui_funcionalidad] where [url]='/forms/doc/doc_documento_ordenCompra.aspx' and [nombreControl]='doc_documento_ordenCompra'
if not exists(select * from [gui_funcionalidad] where [nombreControl]='inc_detalle' and [id_funcionalidad] = @idFuncionalidadpadre)
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Detalle',290,1,'','',0,'','','','inc_detalle','detalle',4)
end
select @idFuncionalidad=id from [gui_funcionalidad] where [nombreControl]='inc_detalle' and [id_funcionalidad] = @idFuncionalidadpadre
if not exists (select * from [seg_perfil_funcionalidad] where [id_perfil]= @id_perfil and [id_funcionalidad]=@idFuncionalidad)
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@idFuncionalidad,'01',@uid,'') 
end
--SALIDA
select @idFuncionalidadpadre=id from [gui_funcionalidad] where [url]='/forms/doc/doc_documento_salida.aspx' and [nombreControl]='doc_documento_salida'
if not exists(select * from [gui_funcionalidad] where [nombreControl]='inc_detalle' and [id_funcionalidad] = @idFuncionalidadpadre)
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Detalle',280,1,'','',0,'','','','inc_detalle','detalle',4)
end
select @idFuncionalidad=id from [gui_funcionalidad] where [nombreControl]='inc_detalle' and [id_funcionalidad] = @idFuncionalidadpadre
if not exists (select * from [seg_perfil_funcionalidad] where [id_perfil]= @id_perfil and [id_funcionalidad]=@idFuncionalidad)
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@idFuncionalidad,'01',@uid,'') 
end
--ENTRADA
select @idFuncionalidadpadre=id from [gui_funcionalidad] where [url]='/forms/doc/doc_documento_entrada.aspx' and [nombreControl]='doc_documento_entrada'
if not exists(select * from [gui_funcionalidad] where [nombreControl]='inc_detalle' and [id_funcionalidad] = @idFuncionalidadpadre)
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Detalle',270,1,'','',0,'','','','inc_detalle','detalle',4)
end
select @idFuncionalidad=id from [gui_funcionalidad] where [nombreControl]='inc_detalle' and [id_funcionalidad] = @idFuncionalidadpadre
if not exists (select * from [seg_perfil_funcionalidad] where [id_perfil]= @id_perfil and [id_funcionalidad]=@idFuncionalidad)
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@idFuncionalidad,'01',@uid,'') 
end
--COTIZACION
select @idFuncionalidadpadre=id from [gui_funcionalidad] where [url]='/forms/doc/doc_documento_cotizacion.aspx?st=4' and [nombreControl]='doc_documento_cotizacion'
if not exists(select * from [gui_funcionalidad] where [nombreControl]='inc_detalle' and [id_funcionalidad] = @idFuncionalidadpadre)
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Detalle',260,1,'','',0,'','','','inc_detalle','detalle',4)
end
select @idFuncionalidad=id from [gui_funcionalidad] where [nombreControl]='inc_detalle' and [id_funcionalidad] = @idFuncionalidadpadre
if not exists (select * from [seg_perfil_funcionalidad] where [id_perfil]= @id_perfil and [id_funcionalidad]=@idFuncionalidad)
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@idFuncionalidad,'01',@uid,'') 
end
--RQ
select @idFuncionalidadpadre=id from [gui_funcionalidad] where [url]='/forms/doc/doc_documento_requisicion.aspx' and [nombreControl]='doc_documento_requisicion'
if not exists(select * from [gui_funcionalidad] where [nombreControl]='inc_detalle' and [id_funcionalidad] = @idFuncionalidadpadre)
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Detalle',250,1,'','',0,'','','','inc_detalle','detalle',4)
end
select @idFuncionalidad=id from [gui_funcionalidad] where [nombreControl]='inc_detalle' and [id_funcionalidad] = @idFuncionalidadpadre
if not exists (select * from [seg_perfil_funcionalidad] where [id_perfil]= @id_perfil and [id_funcionalidad]=@idFuncionalidad)
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@idFuncionalidad,'01',@uid,'') 
end
--TRASLADO
select @idFuncionalidadpadre=id from [gui_funcionalidad] where [url]='/forms/doc/doc_documento_traslado.aspx' and [nombreControl]='doc_documento_traslado'
if not exists(select * from [gui_funcionalidad] where [nombreControl]='inc_detalle' and [id_funcionalidad] = @idFuncionalidadpadre)
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Detalle',300,1,'','',0,'','','','inc_detalle','detalle',4)
end
select @idFuncionalidad=id from [gui_funcionalidad] where [nombreControl]='inc_detalle' and [id_funcionalidad] = @idFuncionalidadpadre
if not exists (select * from [seg_perfil_funcionalidad] where [id_perfil]= @id_perfil and [id_funcionalidad]=@idFuncionalidad)
begin
insert into seg_perfil_funcionalidad (id_perfil, id_funcionalidad, eid, uid, perfil_funcionalidad) values (@id_perfil,@idFuncionalidad,'01',@uid,'') 
end